Yate

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ClientFileItem Class Reference

A file/directory item. More...

`#include <yatecbase.h>`

Inheritance diagram for ClientFileItem:

## Public Member Functions
| ClientFileItem (const char *name)
const String & | name () const
virtual ClientDir * | directory ()
virtual ClientFile * | file ()
virtual const String & | toString () const
Public Member Functions inherited from GenObject
| GenObject ()
virtual | ~GenObject ()
virtual bool | alive () const
virtual void | destruct ()
virtual const String & | traceId () const
virtual void * | getObject (const String &name) const
NamedCounter * | getObjCounter () const
NamedCounter * | setObjCounter (NamedCounter *counter)

## Additional Inherited Members
Static Public Member Functions inherited from GenObject
static void * | getObject (const String &name, const GenObject *obj)
static bool | getObjCounting ()
static void | setObjCounting (bool enable)
static NamedCounter * | getObjCounter (const String &name, bool create=true)
static ObjList & | getObjCounters ()

## Detailed Description

A file/directory item.

Base class for file/dir items

## Constructor & Destructor Documentation

ClientFileItem | ( | const char * | name | ) |
| inline

Constructor

Parameters

  name | Item name

## Member Function Documentation

virtual ClientDir* directory | ( |  | ) |
| inline virtual

Check if this item is a directory

Returns
  ClientDir pointer or 0

Reimplemented in ClientDir.

virtual ClientFile* file | ( |  | ) |
| inline virtual

Check if this item is a file

Returns
  ClientDir pointer or 0

Reimplemented in ClientFile.

const String& name | ( |  | ) | const
| inline

Retrieve the item name

Returns
  Item name

Referenced by ClientFileItem::toString().

virtual const String& toString | ( |  | ) | const
| inline virtual

Retrieve the item name

Returns
  Item name

Reimplemented from GenObject.

References ClientFileItem::name().

The documentation for this class was generated from the following file:

- yatecbase.h